CliClient (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cli
Class CliClient

    java.lang.Object
      org.apache.cassandra.cli.CliClient

    public class CliClient

extends java.lang.Object

Nested Class Summary
`protected static class` | `CliClient.ColumnFamilyArgument`
`static class` | `CliClient.Function` Available value conversion functions Used by convertValueByFunction(Tree functionCall) method

Constructor Summary
`CliClient(CliSessionState cliSessionState, Cassandra.Client thriftClient)`

Method Summary
`void` | `executeCLIStatement(java.lang.String statement)`
`java.nio.ByteBuffer` | `getKeyAsBytes(java.lang.String columnFamily, org.antlr.runtime.tree.Tree keyTree)`
`java.lang.String` | `getKeySpace()`
`KsDef` | `getKSMetaData(java.lang.String keyspace)`
`static AbstractType` | `getTypeByFunction(java.lang.String functionName)` Get AbstractType by function name
`java.lang.String` | `getUsername()`
`void` | `printBanner()`
`void` | `setKeySpace(java.lang.String keySpace)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CliClient

    public CliClient(CliSessionState cliSessionState,
                     Cassandra.Client thriftClient)

Method Detail

### printBanner

    public void printBanner()

### executeCLIStatement

    public void executeCLIStatement(java.lang.String statement)
                             throws java.nio.charset.CharacterCodingException,
                                    org.apache.thrift.TException,
                                    TimedOutException,
                                    NotFoundException,
                                    java.lang.NoSuchFieldException,
                                    InvalidRequestException,
                                    UnavailableException,
                                    java.lang.InstantiationException,
                                    java.lang.IllegalAccessException,
                                    java.lang.ClassNotFoundException,
                                    SchemaDisagreementException

  Throws:
    `java.nio.charset.CharacterCodingException`
    `org.apache.thrift.TException`
    `TimedOutException`
    `NotFoundException`
    `java.lang.NoSuchFieldException`
    `InvalidRequestException`
    `UnavailableException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.ClassNotFoundException`
    `SchemaDisagreementException`

### getKSMetaData

    public KsDef getKSMetaData(java.lang.String keyspace)
                        throws NotFoundException,
                               InvalidRequestException,
                               org.apache.thrift.TException

  Throws:
    `NotFoundException`
    `InvalidRequestException`
    `org.apache.thrift.TException`

### getKeySpace

    public java.lang.String getKeySpace()

### setKeySpace

    public void setKeySpace(java.lang.String keySpace)
                     throws NotFoundException,
                            InvalidRequestException,
                            org.apache.thrift.TException

  Throws:
    `NotFoundException`
    `InvalidRequestException`
    `org.apache.thrift.TException`

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getTypeByFunction

    public static AbstractType getTypeByFunction(java.lang.String functionName)

  Get AbstractType by function name

  Parameters:
    `functionName` - - name of the function e.g. utf8, integer, long etc.
  Returns:
    AbstractType type corresponding to the function name

### getKeyAsBytes

    public java.nio.ByteBuffer getKeyAsBytes(java.lang.String columnFamily,
                                             org.antlr.runtime.tree.Tree keyTree)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation